import '../../core/core.dart';

class M4eCurrencyType {
  final String _type;

  const M4eCurrencyType._(this._type);

  // TODO: Add more currency types
  static const GHS = M4eCurrencyType._(M4eCurrency.kGHS);

  factory M4eCurrencyType.parse(String type) {
    return M4eCurrencyType._(type);
  }

  @override
  operator ==(cmp) => (cmp is M4eCurrencyType) && cmp._type == _type;

  @override
  int get hashCode => _type.hashCode;

  @override
  String toString() => _type;
}
