import 'package:equatable/equatable.dart';

/// Represents a `void-type` but with `value equality` feature.
class M4eUnitImpl extends Equatable {
  const M4eUnitImpl();

  @override
  List<Object> get props => [];

  @override
  String toString() => '[M4eUnitImpl]';
}

/// instantiated [M4eUnitImpl] type with value equality
/// this type, serves as a regular dart `void` keyword but with value equality added
const unitImpl = M4eUnitImpl();
